2008-12-16 09:00 - youngseok yi

Status: Closed Start date: 2008-12-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed Affected version:  

Description

As noted in help forum  Multiple lines in table cell, I also miss table cell with multiple line text.

+----------+------------------------------------+

| redmine  | Multiple projects support          |

|          | Flexible role based access control.|

|          | Flexible issue tracking system     |

|          | Gantt chart and calendar           |

|          | News, documents & files management |

|          | etc.                               |

+----------+------------------------------------+

 If I want to make above table using textile wiki.

The syntax below would match the expected (using http://www.textism.com/tools/textile/index.php).

| redmine  | Multiple projects support

Flexible role based access control.

Flexible issue tracking system

Gantt chart and calendar

News, documents & files management

etc.|

 But it doesn't match in redmine.

I must use rowspan '/6.' to make this looks as expected. It is very inconvenient for a very complex table.

hard_breaks.patch solves above syntax works.

from http://code.whytheluckystiff.net/redcloth/wiki/HardBreaks

comment from source:trunk/lib/redmine/wiki_formatting/textile/formatter.rb#L1955)

I hope redmine experts to check. (I'm total stranger to ruby or rails)

Related issues:

Has duplicate Redmine - Defect #3591: Redmine Wiki Syntax should support mult... Closed 2009-07-06

Associated revisions

Revision 2824 - 2009-07-19 16:23 - Jean-Philippe Lang

Allow line breaks in wiki table cells (#2346).

History

#1 - 2008-12-16 09:24 - youngseok yi

youngseok yi wrote:

comment from source:trunk/lib/redmine/wiki_formatting/textile/formatter.rb#L1955)

 wrong link posted.

source:trunk/lib/redmine/wiki_formatting/textile/formatter.rb@2018#L43 is correct

#2 - 2008-12-16 09:58 - youngseok yi
www.redmine.org/boards/2/topics/show/2400#message-2495
http://www.textism.com/tools/textile/index.php
https://www.redmine.org/attachments/1295
http://code.whytheluckystiff.net/redcloth/wiki/HardBreaks
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/redmine/wiki_formatting/textile/formatter.rb#L1955
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/redmine/wiki_formatting/textile/formatter.rb#L1955
https://www.redmine.org/projects/redmine/repository/svn/revisions/2018/entry/trunk/lib/redmine/wiki_formatting/textile/formatter.rb#L43


for a couple of check, this patch breaks quote syntax like below.:(

> this is quote

>> this is double.

#3 - 2009-02-17 11:02 - Rene S

We are affected by that too. After a migration from 0.7 to 0.8.1, a lot of tables are broken, because the newline is not handled correctly. Additionally all

control commands within the cell are ignored, besides some simple bold/italic commands. So applying plain-html did not work either.

#4 - 2009-05-13 16:23 - Stanislav German-Evtushenko

same for me

#5 - 2009-07-19 16:22 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Fixed in r2824.

Files

hard_breaks.patch 809 Bytes 2008-12-16 youngseok yi
